Disponibile una fix per ASP.NET 2.0, 3.5 e 4.0 relativa al rinoscimento delle prossime versioni di IE e Firefox

di , in ASP.NET,

Risolto un problema legato all'adaptive rendering in unione con IE 10 e Firefox 5 o superiori.

ASP.NET include un meccanismo di riconoscimento dei browser, noto come adaptive rendering, che in base allo user agent dei browser provvede a generare codice che ne sfrutti le potenzialità.

Le definizioni incluse in ASP.NET 4.0 e ASP.NET 2.0 non tengono conto delle prossime o recenti versioni di alcuni browser, causando problemi nel riconoscimento. Essendo ASP.NET 3.5 basato sul runtime della versione 2.0, la fix si applica anche a questa versione.

In particolare, non sono riconosciuti Internet Explorer 10 e Firefox 5 o superiori, causando problemi in alcune funzionalità, come quelle di validazione, che non traggono beneficio dell'uso di Javascript.

E' possibile installare la patch seguendo questi link, che provvedono ad un'installazione sul server:

In alternativa, per deployment locali, è possibile recuperare le definizioni, da salvare nella directory App_Browsers posta sotto la root, direttamente da NuGet:

Questa fix sarà contenuta nelle prossime fix del .NET Framework che saranno rilasciate verso Gennaio 2012, oltre che nella prossima versione del .NET Framework. Tuttavia, si consiglia di installarle il prima possibile, onde evitare problemi con i browser citati in precedenza.

Commenti

Visualizza/aggiungi commenti

Disponibile una fix per ASP.NET 2.0, 3.5 e 4.0 relativa al rinoscimento delle prossime versioni di IE e Firefox
| Condividi su: Twitter, Facebook, LinkedIn

Per inserire un commento, devi avere un account.

Fai il login e torna a questa pagina, oppure registrati alla nostra community.

Approfondimenti